.footer {
  background: var(--dark-green);
  color: var(--white);
  padding: var(--section-padding);
  display: grid;
  gap: var(--g4-gap);
}
.footer-grid {
  display: grid;
  gap: var(--g4-gap);
}
.footer-brand {
  display: grid;
  gap: 1.5rem;
}
.footer-brand-row {
  display: flex;
  gap: 12px;
  align-items: center;
}
.footer-logo {
  height: 4rem;
  width: auto;
  filter: drop-shadow(0 10px 18px rgba(0,0,0,.25));
}
.footer-brand-details {
  display: flex;
  flex-direction: column;
  gap: 0.125rem;
}
.footer-name {
  font-weight: 900;
  letter-spacing: .02em;
  font-size: var(--h2-size);
}
.footer-tagline {
  font-size: var(--small-size);
  line-height: 1.5;
}

.social {
  display: flex;
  align-items: center;
  gap: 0.75rem;
}
.social-button {
  height: 3rem;
  width: 3rem;
  border-radius: var(--button-border-radius);
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--vivid-green);
  padding: 0.5rem 1rem;
}
.social-button i {
  font-size: 1.5rem;
}

.footer-wrap-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: var(--g3-gap);
  align-items: start;
}
.footer-details-container {
  display: grid;
  gap: var(--g1-gap);
}
.footer-header {
  font-size: var(--p-size);
  font-weight: 700;
}
.footer-main-content {
  display: flex;
  flex-direction: column;
  gap: 0.35rem;
}
.footer-main-content a {
  width: fit-content;
}
.footer-main-content a, .footer-main-content p {
  font-size: var(--small-size);
  line-height: 1.35;
  color: var(--grey);
}

.footer-bottom{
  border-top: 1px solid var(--grey);
  padding-top: var(--g4-gap);
  font-size: var(--small-size);
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Tablet */
@media (min-width: 768px) {
  .footer-wrap-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2.5rem;
  }
}

/* Laptop / Desktop */
@media (min-width: 1024px) {
  .footer-grid {
    gap: 4rem;
  }
  .social {
    gap: 1rem;
  }
  .social-button {
    transition: background-color 0.15s ease-in-out;
  }
  .social-button:hover {
    background-color: var(--light-vivid-green);
  }
  .footer-wrap-container {
    display: grid;
    grid-template-columns: repeat(4, auto);
    gap: 2.5rem;
  }
  .footer-main-content {
    transition: color 0.15s ease-in-out;
  }
  .footer-main-content a:hover {
    color: var(--white);
  }
}